#!/bin/bash

###
# Update apeman-commons-logging.
###

HERE=$(cd "$(dirname $0)" && pwd)
BASE_DIR=$(cd "${HERE}/.." && pwd)

cd ${BASE_DIR}

# Re-install dependencies.
npm uninstall argx async colorprint extend json2yaml  --save
npm install argx async colorprint extend json2yaml  --save

# Re-install dev dependencies.
npm uninstall apeman-dev-commons-coveraging apeman-dev-commons-releasing apeman-dev-commons-reporting apeman-dev-commons-tasking apeman-dev-commons-testing apeman-tmpl-contrib-official coz injectmock  --save-dev
npm install apeman-dev-commons-coveraging apeman-dev-commons-releasing apeman-dev-commons-reporting apeman-dev-commons-tasking apeman-dev-commons-testing apeman-tmpl-contrib-official coz injectmock  --save-dev
